/*	RCT3 libOVL
	Copyright 2005 Jonathan Wilson

	This file is part of the RCT3 libOVL
	The RCT3 libOVL library is free software; you can redistribute it and/or modify it under
	the terms of the GNU General Public License as published by the Free
	Software Foundation; either version 2, or (at your option) any later
	version. See the file COPYING for more details.
*/

#ifndef __libOVL_OVL_ScenaryVisual_h__
#define __libOVL_OVL_ScenaryVisual_h__
 
struct SceneryItemVisualLOD
{
	unsigned long MeshType; //seems to be flag for what type of mesh this is, 0 = StaticShape, 3 = BoneShape
	char *LODName;
	StaticShape1 *StaticShape; //Set to 0 in disk files, is the StaticStape for static meshes in ram
	unsigned long unk2; //seen 0 so far
	BoneShape1 *BoneShape; //Set to 0 in disk files, is the BoneStape for animated meshes in ram
	unsigned long unk4; //seen 0 so far
	unsigned long unk5; //seen 0 so far
	unsigned long unk6; //seen 0 so far
	float unk7; //seen 1.0 so far
	float unk8; //seen 1.0 so far
	unsigned long unk9; //seen 0 so far
	float unk10; //seen 1.0 so far
	unsigned long unk11; //seen 0 so far
	float unk12; //seen 1.0 so far
	float distance; //has something to do with the distance this LOD model kicks in at or stops being used at
	unsigned long AnimationCount;
	unsigned long unk14; //seen 0 so far
	unsigned long AnimationArray; //points to one or more BoneAnim pointers which are 0 in disk files
};
struct SceneryItemVisual
{
	unsigned long unk1; //seen 0 so far
	unsigned long unk2; //seen 0 so far
	float unk3; //seen 1.0 so far
	float unk4; //seen 1.0 so far
	unsigned long unk5; //seen 0 so far
	unsigned long LODCount;
	SceneryItemVisualLOD **LODMeshes;
	unsigned long unk6; //seen 0 so far
	unsigned long unk7; //seen 0 so far
	unsigned long unk8; //seen 0 so far
	unsigned long unk9; //seen 0 so far
	unsigned long unk10; //seen 0 so far
	unsigned long unk11; //seen 0 so far
};

#endif
